Login
Username:

Password:

Remember me



Lost Password?

Register now!

Sections

Who's Online
77 user(s) are online (49 user(s) are browsing Forums)

Members: 0
Guests: 77

more...

Support us!

Headlines

 
  Register To Post  

« 1 (2)
Re: NovaBridge released!
Not too shy to talk
Not too shy to talk


See User information
Finally I succsseed to buy NovaBridge.
GLQuake works again, after several years!

quick benchmarks:
.....................................................NovaBridge...Warp3D_SI
Wings Battlefield demo (W3D-HD7xxx): 195...86
On X1000 + HD 7970 card

Good job! Thanks!
( ehm, except the payment horror )

AmigaOS3: Amiga 1200
AmigaOS4: Micro A1-C, AmigaOne XE, Pegasos II, Sam440ep, Sam440ep-flex, AmigaOne X1000
MorphOS: Efika 5200b, Pegasos I, Pegasos II, Powerbook, Mac Mini, iMac, Powermac Quad
Go to top
Re: NovaBridge released!
Not too shy to talk
Not too shy to talk


See User information
How do I get Warpd 3D SI and what are options for a Sam 440ep Flex with Radeon HD7750, Enhancer Plus installed?

@Sailor, have you tested these with Flex?

Go to top
Re: NovaBridge released!
Quite a regular
Quite a regular


See User information
I think you just need Novibridge and no W3DSI.

If liberty means anything at all, it means the right to tell people what they do not want to hear.
George Orwell.
Go to top
Re: NovaBridge released!
Not too shy to talk
Not too shy to talk


See User information
@rjd324

thanks, but why I would need Nova Bridge and does it even work with this setup? As there is no Radeon HD 5.x drivers which works with it?

And still, what is Ward 3D SI and how can I get it? I do know how I can get Nova Bridge.

Is this Warp 3D SI https://github.com/ptitSeb/gl4es

Go to top
Re: NovaBridge released!
Home away from home
Home away from home


See User information
@utri007

I am not sure if Radeon HD7750 is one of those cards supported by RadeonHD driver, but for making old Warp3D/MiniGL apps to work on RadeonHD/RX you have 2 options:

1) Warp3D SI driver — older way for making old Warp3D apps works (and so MiniGL ones too, as they work over Warp3D).

2). Last and new way : use NovaBridge over Warp3DNova. So you have support and all the new stuff, and have no needs for Warp3D SI anymore. Think about Warp3D SI as in-the-middle abandoned way, while there weren't proper old-Warp3D-support driver for Warp3DNova which is NovaBridge are.

As for GL4ES : this is not a driver, it just 3d party code which programmers use when want to have more or less modern (in Amiga terms) opengl2.x support, and not old opengl1.5 support as it was in minigl. Users have no needs to worry about gl4es at all, only that when any game or app use it, it means that you require working setup with ogles2.library and warp3dnova.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge released!
Not too shy to talk
Not too shy to talk


See User information
@kas1e

Thanks.

Radeon HD7750 does work with Radeon HD driver. It also works with Sam 440ep Flex with bride adapter. https://www.youtube.com/watch?v=MWPsmwVkjsM

First I answer my own questio, Warp 3D SI means Warp 3D Southern Islands and it is available from A-EON Amistore.

My RadeonHD.chip in Kickstart folder is version 2.22

Does that mean it would work with Warp3D SI, but Nova Bridge would require buy Enhancer 2.2 to get version 3.X??

Go to top
Re: NovaBridge released!
Home away from home
Home away from home


See User information
@utri007
Quote:

Does that mean it would work with Warp3D SI, but Nova Bridge would require buy Enhancer 2.2 to get version 3.X??


If Radeon HD7750 is "SI" one, then yes, sure Warp3D SI will work even without NovaBridge. NovaBridge will give you more working old Warp3D software (Hans fix there a lot of things: for example even old MadWizzard's warp3d/ppc demos works, while with Warp3D SI they will not). But for that you need also Warp3DNova of course to make NovaBridge works (and that probably mean buying of Enhancer as well too).

But if plan just to have OS4 old Warp3D/MiniGL apps to work, and your HD 7750 is SI one, then Warp3D SI will be fine too.

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@kas1e

I bought NovaBridge today from AmiStore, I haven't been able to test it myself yet, but I want to be prepared.

Is NovaBridge alone enough, or do I also need to install ReWarp and ReWarp3D as described in your post https://www.amigans.net/modules/newbb/ ... id=134885#forumpost134885

What does ReWarp and ReWarp3D do, is it responsible for WarpOS?

MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE / AmigaOne A1222plus AmigaOs4.1 FE
Go to top
Re: NovaBridge released!
Home away from home
Home away from home


See User information
@Maijestro
Yeah, rewarp is warpos support (powerpc.library) and rewarp3d is for warp3dppc.library support: some games and demos uses them back in past. For example old madwizzar's demos, old wipeout version, etc.

In other words if you have no needs in old classic warpos based stuff, they of no needs for you. Just install warp3dnova for basic 3d support, then novabridge for old minigl/warp3d support, and ogles2.library for games uses ogles2 and gl4es

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@kas1e

Quote:

Yeah, rewarp is warpos support (powerpc.library) and rewarp3d is for warp3dppc.library support: some games and demos uses them back in past. For example old madwizzar's demos, old wipeout version, etc.

In other words if you have no needs in old classic warpos based stuff, they of no needs for you. Just install warp3dnova for basic 3d support, then novabridge for old minigl/warp3d support, and ogles2.library for games uses ogles2 and gl4es


ahhh ok I understand, thanks for the information.The links you posted are no longer available!

Is there another way to download the latest version of ReWarp and ReWarp3D?

MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE / AmigaOne A1222plus AmigaOs4.1 FE
Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@Maijestro

https://github.com/Sakura-IT/ReWarp

and build/compile, uses vbcc IIRC.

Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@jabirulo

Thanks for the tip.

Just to be sure that I have done everything right.

I downloaded vbcc for AmigaOs4.1 (Compiler target AmigaOS 4.x PowerPC) from here.

http://sun.hasenbraten.de/vbcc/

And installed it into the AmigaOs4.1 SDK. The ReWarp/ReWarp3d source code from here:

https://github.com/Sakura-IT/ReWarp

I compiled it with a simple “make” and 2 libraries were created. Powerpc.library and Warp3DPPC.library.

There were some patches for SPE Tabor A1222 in the source and I am not sure if this patch is already included in the master source.

https://github.com/Sakura-IT/ReWarp/issues/12

Could someone please check this?

MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE / AmigaOne A1222plus AmigaOs4.1 FE
Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@Maijestro

Seems it has A1222 patch. Just look in src/powerlib.s and lines 215 & 216:

cmpwi r14,MACHINETYPE_A1222
beq .PPC500Setup


https://github.com/Sakura-IT/ReWarp/co ... f2d7da60dd56a37ff433bee9a

Go to top
Re: NovaBridge released!
Not too shy to talk
Not too shy to talk


See User information
@Maijestro

As mentioned in the 'general notes' of the tools/games compatibility lists in my QuickStart Guide, yes, ReWarp does now work with the A1222. You'll need to pick up build #80 or newer. That said I haven't actually run any WarpOS software with it successfully since the few games or tools I have requiring WOS don't work for other reasons. Your experience may be different.

You can check out the lists here, if you haven't already: http://eliyahu.org/tabor/

-- eliyahu

"Physical reality is consistent with universal laws. When the laws do not operate, there is no reality. All of this is unreal."
Go to top
Re: NovaBridge released!
Just can't stay away
Just can't stay away


See User information
@eliyahu

Quote:
eliyahu wrote:@Maijestro

As mentioned in the 'general notes' of the tools/games compatibility lists in my QuickStart Guide, yes, ReWarp does now work with the A1222. You'll need to pick up build #80 or newer. That said I haven't actually run any WarpOS software with it successfully since the few games or tools I have requiring WOS don't work for other reasons. Your experience may be different.


Thanks for your quick start guide, I have already read it in detail and it offers a lot of helpful tips.

Again, I couldn't find ReWarp BUILD #80 or newer, could you please help me with that? You can also contact me directly.

MacStudio ARM M1 Max Qemu//Pegasos2 AmigaOs4.1 FE / AmigaOne A1222plus AmigaOs4.1 FE
Go to top
Re: NovaBridge released!
Home away from home
Home away from home


See User information
@Maijestro
If you build latest code from their github, then you got latest version with a1222 fix in (it was one of the latest commits)

Join us to improve dopus5!
AmigaOS4 on youtube
Go to top
Re: NovaBridge released!
Just popping in
Just popping in


See User information
Or you get it from Aminet. The one on OS4 depot is outdated, i see.

Go to top

  Register To Post
« 1 (2)

 




Currently Active Users Viewing This Thread: 1 ( 0 members and 1 Anonymous Users )




Powered by XOOPS 2.0 © 2001-2023 The XOOPS Project